---
title: "List reporter reporting intents"
---

> Documentation Index
> Fetch the complete documentation index at: https://docs.sureshake.com/llms.txt
> Use this file to discover all available pages before exploring further.

Path: Sureshake API › reporter

`GET /v2/reporter/reporting-intents`

## Query parameters

- `source` (`reporter-reporting-intents-list.query.source`; string, optional)
  - one of `"predefined"`, `"custom"`
- `entityId` (`reporter-reporting-intents-list.query.entityId`; string, optional)
  - format `uuid`
- `includeDisabled` (`reporter-reporting-intents-list.query.includeDisabled`; boolean, optional)
  - default `false`

## Code samples

### cURL

```bash
curl --request GET \
  --url https://api.sureshake.com/v2/reporter/reporting-intents
```

### TypeScript

```typescript
const url = 'https://api.sureshake.com/v2/reporter/reporting-intents';
const options = {method: 'GET'};

fetch(url, options)
  .then(res => res.json())
  .then(json => console.log(json))
  .catch(err => console.error(err));
```

### Python

```python
import requests

url = "https://api.sureshake.com/v2/reporter/reporting-intents"

response = requests.get(url)

print(response.text)
```

## Responses

### 200

Default Response

#### Example

```json
{
  "data": [
    {
      "id": "string",
      "name": "string",
      "description": "string",
      "category": "string",
      "version": "string",
      "source": "predefined",
      "forkedFromIntentId": "string",
      "entityId": "156e622c-6cdf-4c27-9bc9-2f2db69919f5",
      "schema": {},
      "authoringState": "draft",
      "enabled": true,
      "createdAt": "2019-08-24T14:15:22Z",
      "updatedAt": "2019-08-24T14:15:22Z"
    }
  ],
  "meta": {
    "total": 0,
    "limit": 0,
    "offset": 0,
    "hasMore": true,
    "page": 0,
    "totalPages": 0
  }
}
```

- `data` (`reporter-reporting-intents-list.response.200.data`; array<object>, required)
  - `id` (`reporter-reporting-intents-list.response.200.data.id`; string, required)
    - minLength 1; maxLength 120; pattern `^[a-z0-9][a-z0-9_-]*$`
  - `name` (`reporter-reporting-intents-list.response.200.data.name`; string, required)
    - minLength 1; maxLength 160
  - `description` (`reporter-reporting-intents-list.response.200.data.description`; string, required)
    - minLength 1; maxLength 1000
  - `category` (`reporter-reporting-intents-list.response.200.data.category`; string, required)
    - minLength 1; maxLength 120
  - `version` (`reporter-reporting-intents-list.response.200.data.version`; string, required)
    - minLength 1; maxLength 80
  - `source` (`reporter-reporting-intents-list.response.200.data.source`; string, required)
    - one of `"predefined"`, `"custom"`
  - `forkedFromIntentId` (`reporter-reporting-intents-list.response.200.data.forkedFromIntentId`; string, required, nullable)
    - minLength 1; maxLength 120; pattern `^[a-z0-9][a-z0-9_-]*$`
  - `enabled` (`reporter-reporting-intents-list.response.200.data.enabled`; boolean, required)
  - `createdAt` (`reporter-reporting-intents-list.response.200.data.createdAt`; string, required)
    - format `date-time`
  - `updatedAt` (`reporter-reporting-intents-list.response.200.data.updatedAt`; string, required)
    - format `date-time`
  - `entityId` (`reporter-reporting-intents-list.response.200.data.entityId`; string, optional, nullable)
    - format `uuid`
  - `schema` (`reporter-reporting-intents-list.response.200.data.schema`; object, optional)
    - default `{}`
    - `goldenDocuments` (`reporter-reporting-intents-list.response.200.data.schema.goldenDocuments`; array<object>, optional)
      - `id` (`reporter-reporting-intents-list.response.200.data.schema.goldenDocuments.id`; string, required)
        - minLength 1; maxLength 120; pattern `^[a-z0-9][a-z0-9_-]*$`
      - `label` (`reporter-reporting-intents-list.response.200.data.schema.goldenDocuments.label`; string, required)
        - minLength 1; maxLength 180
      - `documentRole` (`reporter-reporting-intents-list.response.200.data.schema.goldenDocuments.documentRole`; string, required)
        - minLength 1; maxLength 120
      - `sourceType` (`reporter-reporting-intents-list.response.200.data.schema.goldenDocuments.sourceType`; string, required)
        - minLength 1; maxLength 120
      - `privacyClassification` (`reporter-reporting-intents-list.response.200.data.schema.goldenDocuments.privacyClassification`; string, required)
        - one of `"generated_sample"`, `"synthetic_redacted"`, `"redacted_customer_approved"`
      - `fixturePath` (`reporter-reporting-intents-list.response.200.data.schema.goldenDocuments.fixturePath`; string, optional)
        - minLength 1; maxLength 1000
      - `artifact` (`reporter-reporting-intents-list.response.200.data.schema.goldenDocuments.artifact`; object, optional)
        - `artifactId` (`reporter-reporting-intents-list.response.200.data.schema.goldenDocuments.artifact.artifactId`; string, optional)
          - minLength 1; maxLength 240
        - `artifactType` (`reporter-reporting-intents-list.response.200.data.schema.goldenDocuments.artifact.artifactType`; string, optional)
          - minLength 1; maxLength 120
        - `storageKey` (`reporter-reporting-intents-list.response.200.data.schema.goldenDocuments.artifact.storageKey`; string, optional)
          - minLength 1; maxLength 1000
        - `checksumSha256` (`reporter-reporting-intents-list.response.200.data.schema.goldenDocuments.artifact.checksumSha256`; string, optional)
          - minLength 1; maxLength 128
        - `mimeType` (`reporter-reporting-intents-list.response.200.data.schema.goldenDocuments.artifact.mimeType`; string, optional)
          - minLength 1; maxLength 160
      - `expectedOutputSummary` (`reporter-reporting-intents-list.response.200.data.schema.goldenDocuments.expectedOutputSummary`; string, optional)
        - minLength 1; maxLength 2000
      - `approvalStatus` (`reporter-reporting-intents-list.response.200.data.schema.goldenDocuments.approvalStatus`; string, optional)
        - one of `"approved"`; default `"approved"`
      - `approvedByUserId` (`reporter-reporting-intents-list.response.200.data.schema.goldenDocuments.approvedByUserId`; string, optional)
        - minLength 1; maxLength 160
      - `approvedAt` (`reporter-reporting-intents-list.response.200.data.schema.goldenDocuments.approvedAt`; string, optional)
        - format `date-time`
      - `tags` (`reporter-reporting-intents-list.response.200.data.schema.goldenDocuments.tags`; array<string>, optional)
        - minLength 1; maxLength 80; default `[]`
  - `authoringState` (`reporter-reporting-intents-list.response.200.data.authoringState`; string, optional)
    - one of `"draft"`, `"ready"`; default `"ready"`
- `meta` (`reporter-reporting-intents-list.response.200.meta`; object, required)
  - `total` (`reporter-reporting-intents-list.response.200.meta.total`; number, required) — Total number of items available
  - `limit` (`reporter-reporting-intents-list.response.200.meta.limit`; number, required) — Number of items per page
  - `offset` (`reporter-reporting-intents-list.response.200.meta.offset`; number, required) — Number of items skipped
  - `hasMore` (`reporter-reporting-intents-list.response.200.meta.hasMore`; boolean, required) — Whether more items are available
  - `page` (`reporter-reporting-intents-list.response.200.meta.page`; number, optional) — Current page number
  - `totalPages` (`reporter-reporting-intents-list.response.200.meta.totalPages`; number, optional) — Total number of pages

### 400

Default Response

#### Example

```json
{
  "error": {
    "code": "string",
    "message": "string",
    "details": null,
    "traceId": "string"
  }
}
```

- `error` (`reporter-reporting-intents-list.response.400.error`; object, required)
  - `code` (`reporter-reporting-intents-list.response.400.error.code`; string, required) — Machine-readable error code (e.g., NOT_FOUND)
  - `message` (`reporter-reporting-intents-list.response.400.error.message`; string, required) — Human-readable error message
  - `details` (`reporter-reporting-intents-list.response.400.error.details`; unknown, optional) — Optional structured error details
  - `traceId` (`reporter-reporting-intents-list.response.400.error.traceId`; string, optional) — Unique ID for log correlation

### 401

Default Response

#### Example

```json
{
  "error": {
    "code": "string",
    "message": "string",
    "details": null,
    "traceId": "string"
  }
}
```

- `error` (`reporter-reporting-intents-list.response.401.error`; object, required)
  - `code` (`reporter-reporting-intents-list.response.401.error.code`; string, required) — Machine-readable error code (e.g., NOT_FOUND)
  - `message` (`reporter-reporting-intents-list.response.401.error.message`; string, required) — Human-readable error message
  - `details` (`reporter-reporting-intents-list.response.401.error.details`; unknown, optional) — Optional structured error details
  - `traceId` (`reporter-reporting-intents-list.response.401.error.traceId`; string, optional) — Unique ID for log correlation

### 403

Default Response

#### Example

```json
{
  "error": {
    "code": "string",
    "message": "string",
    "details": null,
    "traceId": "string"
  }
}
```

- `error` (`reporter-reporting-intents-list.response.403.error`; object, required)
  - `code` (`reporter-reporting-intents-list.response.403.error.code`; string, required) — Machine-readable error code (e.g., NOT_FOUND)
  - `message` (`reporter-reporting-intents-list.response.403.error.message`; string, required) — Human-readable error message
  - `details` (`reporter-reporting-intents-list.response.403.error.details`; unknown, optional) — Optional structured error details
  - `traceId` (`reporter-reporting-intents-list.response.403.error.traceId`; string, optional) — Unique ID for log correlation

### 404

Default Response

#### Example

```json
{
  "error": {
    "code": "string",
    "message": "string",
    "details": null,
    "traceId": "string"
  }
}
```

- `error` (`reporter-reporting-intents-list.response.404.error`; object, required)
  - `code` (`reporter-reporting-intents-list.response.404.error.code`; string, required) — Machine-readable error code (e.g., NOT_FOUND)
  - `message` (`reporter-reporting-intents-list.response.404.error.message`; string, required) — Human-readable error message
  - `details` (`reporter-reporting-intents-list.response.404.error.details`; unknown, optional) — Optional structured error details
  - `traceId` (`reporter-reporting-intents-list.response.404.error.traceId`; string, optional) — Unique ID for log correlation

### 500

Default Response

#### Example

```json
{
  "error": {
    "code": "string",
    "message": "string",
    "details": null,
    "traceId": "string"
  }
}
```

- `error` (`reporter-reporting-intents-list.response.500.error`; object, required)
  - `code` (`reporter-reporting-intents-list.response.500.error.code`; string, required) — Machine-readable error code (e.g., NOT_FOUND)
  - `message` (`reporter-reporting-intents-list.response.500.error.message`; string, required) — Human-readable error message
  - `details` (`reporter-reporting-intents-list.response.500.error.details`; unknown, optional) — Optional structured error details
  - `traceId` (`reporter-reporting-intents-list.response.500.error.traceId`; string, optional) — Unique ID for log correlation


Source: https://docs.sureshake.com/reference/reporter-reporting-intents-list/index.md
